%{?mingw_package_header}

Name: mingw-osinfo-db-tools
Version: 1.6.0
Release: 1%{?dist}%{?extra_release}
Summary: MinGW Windows port of a library for managing OS information for virtualization
License: LGPLv2+
Source: https://releases.pagure.org/libosinfo/osinfo-db-tools-%{version}.tar.gz
URL: https://libosinfo.org

BuildArch: noarch

BuildRequires: gettext

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw64-gcc
BuildRequires: mingw32-binutils
BuildRequires: mingw64-binutils

BuildRequires: mingw32-glib2
BuildRequires: mingw64-glib2
BuildRequires: mingw32-json-glib
BuildRequires: mingw64-json-glib
BuildRequires: mingw32-libxml2
BuildRequires: mingw64-libxml2
BuildRequires: mingw32-libxslt
BuildRequires: mingw64-libxslt
BuildRequires: mingw32-libarchive
BuildRequires: mingw64-libarchive
BuildRequires: mingw32-libsoup
BuildRequires: mingw64-libsoup

BuildRequires: pkgconfig

BuildRequires: /usr/bin/pod2man

%description
This package provides tools for managing the osinfo database of
information about operating systems for use with virtualization

%package -n mingw32-osinfo-db-tools
Summary: %{summary}

Requires: pkgconfig

%description -n mingw32-osinfo-db-tools
This package provides tools for managing the osinfo database of
information about operating systems for use with virtualization

%package -n mingw64-osinfo-db-tools
Summary: %{summary}

Requires: pkgconfig

%description -n mingw64-osinfo-db-tools
This package provides tools for managing the osinfo database of
information about operating systems for use with virtualization

%{?mingw_debug_package}

%prep
%setup -q -n osinfo-db-tools-%{version}

%build
%mingw_configure
%mingw_make %{?_smp_mflags}

%install
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

# Manpages don't need to be bundled
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/man
rm -rf $RPM_BUILD_ROOT%{mingw64_datadir}/man

%find_lang osinfo-db-tools
grep "%{mingw32_datadir}" osinfo-db-tools.lang > mingw32-osinfo-db-tools.lang
grep "%{mingw64_datadir}" osinfo-db-tools.lang > mingw64-osinfo-db-tools.lang

%files -n mingw32-osinfo-db-tools -f mingw32-osinfo-db-tools.lang
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{mingw32_bindir}/osinfo-db-export.exe
%{mingw32_bindir}/osinfo-db-import.exe
%{mingw32_bindir}/osinfo-db-path.exe
%{mingw32_bindir}/osinfo-db-validate.exe

%files -n mingw64-osinfo-db-tools -f mingw64-osinfo-db-tools.lang
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{mingw64_bindir}/osinfo-db-export.exe
%{mingw64_bindir}/osinfo-db-import.exe
%{mingw64_bindir}/osinfo-db-path.exe
%{mingw64_bindir}/osinfo-db-validate.exe

%changelog
* Fri Jul 26 2019 Fabiano Fidêncio <fidencio@redhat.com> - 1.6.0-1
- Update to 1.6.0 release

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 09 2019 Fabiano Fidêncio <fidencio@redhat.com> - 1.5.0-1
- Update to 1.5.0 release

* Mon Mar 04 2019 Fabiano Fidêncio <fidencio@redhat.com> - 1.4.0-1
- Initial package
